Bug 219742 - [new port] databases/mysqld_exporter: Prometheus exporter for MySQL server metrics
Summary: [new port] databases/mysqld_exporter: Prometheus exporter for MySQL server me...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Boris Samorodov
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-06-02 23:16 UTC by Alexey Bobkov
Modified: 2017-07-18 13:00 UTC (History)
1 user (show)

See Also:
bsam: maintainer-feedback+


Attachments
mysqld_exporter port (4.10 KB, text/plain)
2017-06-02 23:16 UTC, Alexey Bobkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Bobkov 2017-06-02 23:16:32 UTC
Created attachment 183167 [details]
mysqld_exporter port

I made a port of mysqld_exporter which can collect many various stats from MySQL server. It will be useful for users of prometheus project.
Comment 1 Boris Samorodov freebsd_committer 2017-07-17 20:49:09 UTC
Take.
Comment 2 commit-hook freebsd_committer 2017-07-17 22:11:15 UTC
A commit references this bug:

Author: bsam
Date: Mon Jul 17 22:10:39 UTC 2017
New revision: 446120
URL: https://svnweb.freebsd.org/changeset/ports/446120

Log:
  node_exporter is a prometheus exporter for MySQL server metrics

  WWW: https://github.com/prometheus/mysqld_exporter

  PR:		219742
  Submitted by:	Alexey Bobkov <mr.deadlystorm@gmail.com>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/mysqld_exporter/
  head/net-mgmt/mysqld_exporter/Makefile
  head/net-mgmt/mysqld_exporter/distinfo
  head/net-mgmt/mysqld_exporter/files/
  head/net-mgmt/mysqld_exporter/files/mysqld_exporter.in
  head/net-mgmt/mysqld_exporter/pkg-descr
Comment 3 commit-hook freebsd_committer 2017-07-17 22:14:20 UTC
A commit references this bug:

Author: bsam
Date: Mon Jul 17 22:13:58 UTC 2017
New revision: 50512
URL: https://svnweb.freebsd.org/changeset/doc/50512

Log:
  Add Alexey Bobkov for databases/mysqld_exporter.

  PR:		219742
  Submitted by:	Alexey Bobkov <mr.deadlystorm@gmail.com>

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 4 Boris Samorodov freebsd_committer 2017-07-17 22:15:01 UTC
Committed, thanks!

We have a tradition to add submitters of new ports to The FreeBSD Additional Contributors List: https://www.freebsd.org/doc/en/articles/contributors/contrib-additional.html

So, you've been added. Awaiting for your new contributions!
Comment 5 Boris Samorodov freebsd_committer 2017-07-17 22:19:52 UTC
Ah, forgot to mention this at the previous comment: I've cjanged the CATEGORY from databases to net-mgmt (seems to be more relevant).